sphinx-autogen(1)

NAME
sphinx-autogen - generate reStructuredText using autosummary directives

SYNOPSIS
sphinx-autogen [-o output_dir] [-s suffix] sourcefile...

OPTIONS

-o, --output-dir=output_dir,
    the directory the output files should be written to

-s, --suffix=suffix
    the suffix of the written files (defaults to rst)

-t, --templates=directory
    custom template directory

DESCRIPTION
sphinx-autogen is a frontend to sphinx.ext.autosummary.generate. It generates the ReStructuredText files from the autosummary directives contained in the given input files. The format of the autosummary directive is documented in the sphinx.ext.autosummary Python module and can be read using pydoc sphinx.ext.autosummary

SEE ALSO
sphinx-quickstart(1), sphinx-build(1)

AUTHOR
This man page was written by Jan Dittberner <jan@dittberner.info> for the Debian project (but may be used by others).